一时兴起编译了最新的 CVS 版的 FireFox-3.0a1,拿出来分享

为当前最终发行版之前的所有版本提供支持
回复
fuhuizn
帖子: 738
注册时间: 2006-01-06 22:55
系统: ubuntu
送出感谢: 0
接收感谢: 13 次
联系:

一时兴起编译了最新的 CVS 版的 FireFox-3.0a1,拿出来分享

#1

帖子 fuhuizn » 2006-04-25 22:33

只编译了 pentium4 优化版本,
下载地址是:
http://ftp.ubuntu.org.cn/software/%e7%b ... m4.tar.bz2
下面是 mozconfig 内容:
# mozconfig-ff
. $topsrcdir/browser/config/mozconfig
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/ff-opt-static
mk_add_options MOZ_CO_PROJECT=browser

export CHOST="i686-pc-linux-gnu"
export CFLAGS="-O3 -march=pentium4 -pipe -fomit-frame-pointer -msse2 -mmmx -mfpmath=sse -D_FORTIFY_SOURCE=2"
export CXXFLAGS="-O3 -march=pentium4 -pipe -fomit-frame-pointer -msse2 -mmmx -mfpmath=sse -D_FORTIFY_SOURCE=2"
export CPPFLAGS="-O3 -march=pentium4 -pipe -fomit-frame-pointer -msse2 -mmmx -mfpmath=sse -D_FORTIFY_SOURCE=2"

# Options for 'configure' (same as command-line options).
ac_add_options --with-pthreads
ac_add_options --enable-application=browser
ac_add_options --enable-default-toolkit=gtk2
ac_add_options --enable-single-profile
ac_add_options --disable-installer
ac_add_options --disable-tests
ac_add_options --enable-optimize="-O3 -march=pentium4 -freorder-blocks -fno-reorder-functions -msse2 -mmmx -mfpmath=sse -D_FORTIFY_SOURCE=2"
ac_add_options --disable-shared
ac_add_options --enable-static
ac_add_options --disable-debug
ac_add_options --enable-crypto
ac_add_options --enable-xft
ac_add_options --disable-freetype2
ac_add_options --enable-svg
ac_add_options --enable-canvas
ac_add_options --enable-update-packaging
# end
附图一张:
附件
ff3.0a1.png
效果不错,不过是英文的
上次由 fuhuizn 在 2006-05-14 17:32,总共编辑 1 次。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 karron » 2006-04-26 8:02

这玩意儿现在可用度有多高?扩展的兼容性怎么样?
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
fuhuizn
帖子: 738
注册时间: 2006-01-06 22:55
系统: ubuntu
送出感谢: 0
接收感谢: 13 次
联系:

#3

帖子 fuhuizn » 2006-04-26 8:27

浏览页面没出什么问题, 也能用flashgot, 但 MediaPlayerConnectivity 不能兼容
蓝蜗牛
帖子: 193
注册时间: 2005-11-26 18:27
送出感谢: 0
接收感谢: 0

#4

帖子 蓝蜗牛 » 2006-04-26 10:28

。。。。。。。。。。呵呵。。。。。。。。。。。。。。。。。。。
附件
Screenshot.png
回复

回到 “老旧版本支持”